Subject: bug#14076: 24.3; Comments in Fortran Source

From: Glenn Morris <[email-masked]>
Date: Wed, 03 Apr 2013 23:50:32 -0400

Fred Krogh wrote:

> I guess now this turns into a new feature request.  I'd love to have
> some way to leave comments untouched (the nil in Fortran mode).
> Looking in the f90 settings, I don't see any way to do this.

You should be able to (ab)use f90-directive-comment-re for this:

(setq f90-directive-comment-re "!")

I don't really want to add a feature for this since AFAIK other
programming modes don't have such a thing. Fortran mode is different
because comments are weird in old-school F77.